uuid-1.3.16: For creating, comparing, parsing and printing Universally Unique Identifiers

Copyright | (c) 2012-2016 Antoine Latter
License | BSD-style
Maintainer | aslatter@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Data.UUID.V4

Description

This module implements Version 4 UUIDs as specified in RFC 4122.

These UUIDs are generated from a pseudo-random generator. We use the `getEntropy` method from the entropy package, which should provide cryptographically secure random data.

Synopsis

- nextRandom :: IO UUID

# Documentation

nextRandom :: IO UUID Source #

Generate a crytographically secure, random UUID.

Since: 1.2.6